#
# spec file for package jupyter-matlab-kernel
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           jupyter-matlab-kernel
Version:        0.17.1
Release:        1.4
Summary:        Matlab kernel for Jupyter
License:        BSD-3-Clause AND MIT
Group:          Development/Languages/Python
URL:            https://github.com/Calysto/matlab_kernel
Source:         https://files.pythonhosted.org/packages/source/m/matlab-kernel/matlab_kernel-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  jupyter-rpm-macros
BuildRequires:  python-rpm-macros
BuildRequires:  python3-ipython >= 4.0.0
BuildRequires:  python3-jupyter_client >= 4.4.0
BuildRequires:  python3-metakernel >= 0.23
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
Requires:       python3-ipython >= 4.0.0
Requires:       python3-jupyter_client >= 4.4.0
Requires:       python3-metakernel >= 0.23
Provides:       python3-jupyter_matlab_kernel = %{version}-%{release}
Obsoletes:      python3-jupyter_matlab_kernel < %{version}-%{release}
Provides:       python3-matlab-kernel = %{version}-%{release}
BuildArch:      noarch

%description
A Matlab kernel for Jupyter. The Matlab kernel is based on
MetaKernel, which means it features a standard set of magics.

%prep
%setup -q -n matlab_kernel-%{version}

%build
%python3_pyproject_wheel

%install
%python3_pyproject_install
%fdupes %{buildroot}%{python3_sitelib}
%fdupes %{buildroot}%{_jupyter_kernel_dir}

# Tests require MATLAB installed
# %%check
# Use from the github repo: test_matlab_kernel.py

%files
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/matlab_kernel-%{version}.dist-info
%{python3_sitelib}/matlab_kernel
%{_jupyter_kernel_dir}/matlab
%{_jupyter_kernel_dir}/matlab_connect

%changelog
* Sun Jan 22 2023 Ben Greiner <code@bnavigator.de>
- Update to 0.17.1
  * Stop using sys.executable when building wheels by @RibomBalt in
    [#161]
  * Add a kernel that priorly links to a existing matlab engine
    (besides the original one) by @RibomBalt in #159
* Wed Feb  3 2021 Ben Greiner <code@bnavigator.de>
- Update to 0.16.11
  (No upstream changelog, but from the commit history:)
  * Fix autocompletion
  * Fix MATLAB R2020b support
  * Fix async compatibility for MATLAB R2017a
  * Figure order fix
- BuildRequires jupyter-jupyter_core-filesystem for the macro
* Wed Nov 13 2019 Todd R <toddrme2178@gmail.com>
- Fix provides/obsoletes
- Fix suggests
* Mon Jul 29 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.16.7
  * Fix error message when runnning a code block first time
  * Fix strange error display: one character per line
- Update to 0.16.6
  * lazily use the matlab engine
  * Matlab R2018b kernel couldn't work well
- Update to 0.16.4
  * update readme
- Update to 0.16.3
  * Add a check file
* Thu Apr 25 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.16.2
  * Fix py37 syntax
  * Fix windows support
- Update to 0.16.0
  * added wurlitzer as a dependency
- Rename to to match jupyter package naming guidelines.
* Thu Aug  2 2018 toddrme2178@gmail.com
- Update to version 0.15.1
  - Include license file in wheels
* Thu Apr 19 2018 toddrme2178@gmail.com
- Update to version 0.28.3
  * Add auto-install of the kernel spec on package install.
- Switch to using wheels for more reliable installation
* Thu Oct 26 2017 toddrme2178@gmail.com
- Initial version
